/v1/events

Create events in Apptoto. Apptoto's auto messages will be sent for the events created if Auto Messages are turned on. Otherwise, be sure to include #auto in the event information in order to tell Apptoto to send the Auto Messages configured for the account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The request body should look like the following:

{
  "events": [
    EVENTS TO CREATE
  ]
}

Each event should have the following properties

FieldTypeDescription
calendarString
(Required unless calendar_id specified)

The name of the calendar to add the event to.

If the calendar doesn't exist then a new one will be provisioned.

calendar_idInteger
(Required unless calendar specified)
The id of the calendar
titleString
(Required)
The title of the event
start_timeString
(Required)
The start time of the event in ISO 8601 combined date and time format including timezone offset. e.g. 2016-06-21T14:00:00-08:00
end_timeString
(Required)
The end time of the event in ISO 8601 combined date and time format. e.g. 2016-06-21T15:00:00-08:00
time_zoneString

The time zone the event is in. This will influence what time will be used in messages sent as long as the "Use time zone specified for event" option is enabled for the account (which it is by default).

See this page for timezones supported.

locationStringThe location of the event
contentStringThe content / body of the vent
all_dayBoolean
Default: false
Specifies that event should be treated as an all day event
show_asInteger
Default: null
null: "Busy"
0: "Free"
1: "Tentative"
2: "Busy"
3: "Out of Office"
4: "Working Elsewhere"
external_idStringAn optional unique identifier (should be unique across all calendars in user's account). Can be used to fetch updates and update events.
custom_dataJSON HashA hash of custom data to be attached to the event. Custom data can be used in Apptoto conditions and message templates.
participantsArray

Array of participants to be added.

This is optional. Apptoto can extract participants from the title/location/content for you. But if you want to explicitly include participants you can include them in this Array.

Each Participant object should include the following properties

FieldTypeDescription
nameStringThe name of the participant
emailStringThe SMTP email address of the participant
phoneStringThe phone of the participant. This phone number will be normalized based on the user's country setting. Alternatively you can include the full normalized phone number (e.g. +441212121212) and Apptoto will then skip normalization.
contact_idIntegerThe id of a contact in Apptoto to directly link the event to. You should not include name/email/phone if you provide an explicit contact_id.
contact_externalIdStringThe external_id of a contact you've created in Apptoto. The external_id can be specified when you create it in Apptoto through the API, or for some types of Address Books (like Salesforce, you can use the Salesforce contact id as the external_id)

Example Result:

{ 
  events: [ EVENTS CREATED ]
}

OAuth scope

Calls authenticated with an OAuth 2.0 bearer token must include the events:write scope. A token without it receives a 403 insufficient_scope response. HTTP Basic auth is not scope-gated.

Form Data
events
array
required

Array of events to add

events*
boolean
Defaults to false

Apptoto will create new calendars for you if you reference a calendar in the events array that does not exist. Set this parameter to true to prevent this from happening.

Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!